Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache
Interface CacheProvider

All Known Implementing Classes:
  AbstractJndiBoundCacheProvider, EhCacheProvider, HashtableCacheProvider, JndiBoundTreeCacheProvider, NoCacheProvider, OptimisticTreeCacheProvider, OSCacheProvider, SwarmCacheProvider, TreeCacheProvider

    public interface CacheProvider

Support for pluggable caches.

Author:
  Gavin King

Method Summary
`Cache` | `buildCache(String regionName, Properties properties)` Configure the cache
`boolean` | `isMinimalPutsEnabledByDefault()`
`long` | `nextTimestamp()` Generate a timestamp
`void` | `start(Properties properties)` Callback to perform any necessary initialization of the underlying cache implementation during SessionFactory construction.
`void` | `stop()` Callback to perform any necessary cleanup of the underlying cache implementation during SessionFactory.close().

Method Detail

### buildCache

    Cache buildCache(String regionName,
                     Properties properties)
                     throws CacheException

  Configure the cache

  Parameters:
    `regionName` - the name of the cache region
    `properties` - configuration settings
  Throws:
    `CacheException`

### nextTimestamp

    long nextTimestamp()

  Generate a timestamp

### start

    void start(Properties properties)
               throws CacheException

  Callback to perform any necessary initialization of the underlying cache implementation during SessionFactory construction.

  Parameters:
    `properties` - current configuration settings.
  Throws:
    `CacheException`

### stop

    void stop()

  Callback to perform any necessary cleanup of the underlying cache implementation during SessionFactory.close().

### isMinimalPutsEnabledByDefault

    boolean isMinimalPutsEnabledByDefault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD